const service = require('../services/auth.service');
const { generate_jwt } = require('../helpers');

const post_login = async (req, res) => {
    try {
        const { email, password } = req.body;
        const { json: user } = await service.post_login({ email, password });

        if (!user) {
            res.status(400).json({ message: 'Usuario / Contraseña incorrecta' });
        }

        const accessToken = await generate_jwt({ email, documento: user.documento });

        res.json({ accessToken, user });
    } catch (error) {
        res.status(400).json({ error });
    }
};

const get_account = async (req, res) => {
    try {
        const { documento } = req.params;
        const { json: user } = await service.get_account({ documento });

        res.json({ user });
    } catch (error) {
        res.status(400).json({ error });
    }
};

module.exports = {
    post_login,
    get_account
};