const service = require('../services/material.service');

const get_materiales = async (req, res) => {
    try {
        const { aula_id, curso_id, profesor_id } = req.query;
        const salida = await service.get_materiales({ aula_id, curso_id, profesor_id });

        res.json(salida);
    } catch (error) {
        res.status(400).json({ message: error.message });
    }
};

const get_material = async (req, res) => {
    try {
        const { drive_id, drive_encrypted } = req.query;
        const salida = await service.get_material({ drive_id, drive_encrypted });

        res.json(salida);
    } catch (error) {
        res.status(400).json({ message: error.message });
    }
};

module.exports = {
    get_materiales,
    get_material
};