const axios = require('axios').default;
const { createWriteStream } = require('fs');
const stream = require('stream');
const { promisify } = require('util');
const finished = promisify(stream.finished);

const download_file = async (fileUrl, outputLocationPath) => {
  try {
    console.log(fileUrl);
    const writer = createWriteStream(outputLocationPath);
    const response = await axios({ method: 'get', url: fileUrl, responseType: 'stream', });
    response.data.pipe(writer);
    return await finished(writer);
  } catch (error) {
    console.log(error.message);
  }
};

module.exports = {
  download_file
};
