const { verify } = require('jsonwebtoken');

const validate_jwt = async (req, res, next) => {
    try {
        const token = req.header('Authorization').replace('Bearer', '').trim();

        if (!token) {
            res.status(401).json({ message: 'No hay un token en la petición' });
        }

        const { documento } = verify(token, process.env.SECRET_KEY);
        req.params.documento = documento;

        next();
    } catch (error) {
        res.status(401).json({ message: 'Token no válido' });
    }
};

module.exports = {
    validate_jwt
};