const express = require('express');
const router = express.Router();
const { check } = require('express-validator');
const { post_login, get_account } = require('../controllers/auth.controller');
const { validate_errors, validate_jwt } = require('../middlewares');

router.post('/login',
    check('email', 'Usuario inválido').not().isEmpty(),
    check('password', 'Contraseña inválida').not().isEmpty(),
    validate_errors,
    post_login);

router.get('/account',
    validate_jwt,
    get_account);

module.exports = router;