const express = require('express');
const cors = require('cors');
require('dotenv').config();

class Server {

    constructor() {
        this.app = express();
        this.port = process.env.PORT;
        this.middlewares();
        this.routes();
    }

    routes() {
        this.app.use('/api/auth', require('./routes/auth.router'));
        this.app.use('/api/horarios', require('./routes/horario.router'));
        this.app.use('/api/materiales', require('./routes/material.router'));
    }

    middlewares() {
        // Activando CORS
        this.app.use(cors());
        // Convertir datos del body a JSON
        this.app.use(express.json());
    }

    listen() {
        this.app.listen(this.port);
    }

}

module.exports = Server;